Skip to main content
PUT
/
admin
/
payment-mediums
/
update
/
{name}
Update Payment Medium
curl --request PUT \
  --url https://api.decodahealth.com/admin/payment-mediums/update/{name} \
  --header 'API-KEY: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'TENANT: <tenant>' \
  --data '
{
  "name": "<string>",
  "isArchived": true
}
'
import requests

url = "https://api.decodahealth.com/admin/payment-mediums/update/{name}"

payload = {
"name": "<string>",
"isArchived": True
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', isArchived: true})
};

fetch('https://api.decodahealth.com/admin/payment-mediums/update/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "isSystem": true,
  "isArchived": true,
  "createdDate": "2023-11-07T05:31:56Z",
  "updatedDate": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

name
string
required

Body

application/json

Schema for updating a custom settlement type.

name
string | null

The name of the custom settlement type.

Required string length: 1 - 100
isArchived
boolean | null

Whether to archive/unarchive the payment medium.

Response

Successful Response

Schema for reading payment medium records.

name
string
required

The name/identifier of the payment medium (primary key).

isSystem
boolean
required

Whether this is a system-defined payment medium (immutable).

isArchived
boolean
required

Whether this payment medium is archived.

createdDate
string<date-time>
required

The date and time the payment medium was created.

updatedDate
string<date-time> | null

The date and time the payment medium was last updated.